Packages - Freedom Issue #1554

[iceweasel]: 1:57.0-1 "start” page displays obscenities
2017-12-01 10:57 AM - bill-auger

Status: fixed % Done: 100%
Priority: freedom issue

Assignee: oaken-source

Category:

Description

steps:

e install iceweasel 57

¢ launch iceweasel

* notice that the parabola start page is missing

instead the "new tab" page displays recommending things that it probably should not (see screenshot)

History

#1 - 2017-12-01 11:05 AM - oaken-source

- Assignee set to oaken-source

eww ... yeah, that needs to be fixed.

#2 - 2017-12-03 07:39 AM - bill-auger
- Subject changed from [iceweasel]: 1:57.0-1 "new tab" page displays obscenities to [iceweasel]: 1:57.0-1 "home" page displays obscenities

- File parabola-start-page.png added

correction - this is not the new tab page but actually the "home" page a.k.a. 'about:home' - when "Home Page" in preferences has the default null
value (grey "lceweasel Start Page") as reset with the "Restore to Default"

it appears to be just the default mozilla thing re-branded from upstream

#3 - 2017-12-03 07:42 AM - bill-auger

- Subject changed from [iceweasel]: 1:57.0-1 "home" page displays obscenities to [iceweasel]: 1:57.0-1 "start" page displays obscenities

#4 - 2017-12-05 04:38 AM - oaken-source
- % Done changed from 0 to 50

- Status changed from open to in progress

the newtab page is blank as of 1:57.0.1-3
| am attempting to restore the parabola start page in 1:57.0.1-4

#5 - 2017-12-09 10:11 AM - nRoof

| don't know if it's expected at this point of time, but 1:57.0.1-4 still does show blank newtab. I've seen recent changes for newtab in the iceweasel git
tree and thought this info might be useful. Tested with new profile as well, results are the same.

#6 - 2017-12-09 02:35 PM - bill-auger

verified this is still broken in 1:57.0.1-4 - on a fresh install the value for 'browser.newtabpage.activity-stream.enabled' is true

for anyone interested to make this work today - setting 'browser.newtabpage.activity-stream.enabled' to false in about:config makes the new tab page
work

#7 - 2017-12-10 06:32 AM - oaken-source
yes, silly mistake on my part. should be fixed in 1:57.1.0-5

#8 - 2017-12-10 06:33 AM - oaken-source
- % Done changed from 50 to 100

2024-04-25 1/2




- Status changed from in progress to fixed
